## javax.transaction
Interface UserTransaction

    public interface UserTransaction

Version:
  $Rev: 467742 $ $Date: 2006-10-25 21:30:38 +0200 (Wed, 25 Oct 2006) $

Method Summary
`void` `begin()`
`void` `commit()`
`int` `getStatus()`
`void` `rollback()`
`void` `setRollbackOnly()`
`void` `setTransactionTimeout(int seconds)`

Method Detail

### begin

    void begin()
               throws NotSupportedException,
                      SystemException

  Throws:
    `NotSupportedException`
    `SystemException`

### commit

    void commit()
                throws HeuristicMixedException,
                       HeuristicRollbackException,
                       IllegalStateException,
                       RollbackException,
                       SecurityException,
                       SystemException

  Throws:
    `HeuristicMixedException`
    `HeuristicRollbackException`
    `IllegalStateException`
    `RollbackException`
    `SecurityException`
    `SystemException`

### getStatus

    int getStatus()
                  throws SystemException

  Throws:
    `SystemException`

### rollback

    void rollback()
                  throws IllegalStateException,
                         SecurityException,
                         SystemException

  Throws:
    `IllegalStateException`
    `SecurityException`
    `SystemException`

### setRollbackOnly

    void setRollbackOnly()
                         throws IllegalStateException,
                                SystemException

  Throws:
    `IllegalStateException`
    `SystemException`

### setTransactionTimeout

    void setTransactionTimeout(int seconds)
                               throws SystemException

  Throws:
    `SystemException`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.